#pragma once

#include "CoreMinimal.h"
#include "LookAtKillerSubAnimInstance.h"
#include "K41LookAtKillerSubAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class THEK41_API UK41LookAtKillerSubAnimInstance : public ULookAtKillerSubAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool _isInHeadMode;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool _isInLowMode;

public:
	UK41LookAtKillerSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK41LookAtKillerSubAnimInstance) { return 0; }
